﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Strom
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }


        private void showBranch (TreeNodeCollection above,
                                 DirectoryInfo dir,
                                 int level)
        {
            TreeNode branch = new TreeNode();
            branch.Text = dir.Name;
            branch.ToolTipText = dir.FullName;
            above.Add(branch);

            if (level > 1)
            {
                DirectoryInfo[] list = dir.GetDirectories();
                if (list != null)
                    foreach (DirectoryInfo entry in list)
                        showBranch (branch.Nodes, entry, level - 1);
            }
        }

        private void testButton_Click(object sender, EventArgs e)
        {
            // using System.IO;
            treeView1.ShowNodeToolTips = true;

            DirectoryInfo dir = new DirectoryInfo ("c:\\Program Files");
            showBranch (treeView1.Nodes, dir, 2);
        }

        private void treeView1_Click(object sender, EventArgs e)
        {
        }

        private void treeView1_AfterSelect(object sender, TreeViewEventArgs e)
        {
            TreeNode node = e.Node;
            if (node != null && node.Nodes.Count == 0)
            {
                DirectoryInfo dir = new DirectoryInfo (node.ToolTipText);
                DirectoryInfo[] list = dir.GetDirectories();
                if (list != null)
                    foreach (DirectoryInfo entry in list)
                        showBranch (node.Nodes, entry, 1);
            }
        }
    }
}
